Skip to main content
POST
/
v1
/
videos
/
{video_id}
/
remix
Error
A valid request URL is required to generate request examples
{
  "id": "<string>",
  "model": "<string>",
  "progress": 50,
  "prompt": "<string>",
  "remixed_from_video_id": "<string>",
  "seconds": "<string>",
  "size": "<string>",
  "created_at": 123,
  "completed_at": 123,
  "expires_at": 123,
  "videos": [
    {
      "url": "<string>",
      "base64": "<string>",
      "content_type": "<string>"
    }
  ],
  "error": {
    "code": "<string>",
    "message": "<string>"
  },
  "content_filter": {
    "filtered_count": 123,
    "reasons": [
      "<string>"
    ]
  },
  "extra_fields": {
    "request_type": "<string>",
    "model_requested": "<string>",
    "model_deployment": "<string>",
    "latency": 123,
    "chunk_index": 123,
    "raw_request": {},
    "raw_response": {},
    "cache_debug": {
      "cache_hit": true,
      "cache_id": "<string>",
      "hit_type": "<string>",
      "requested_provider": "<string>",
      "requested_model": "<string>",
      "provider_used": "<string>",
      "model_used": "<string>",
      "input_tokens": 123,
      "threshold": 123,
      "similarity": 123
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.getbifrost.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer token authentication. Use your provider API key or Bifrost authentication token. Virtual keys (prefixed with sk-bf-) can also be passed here.

Path Parameters

video_id
string
required

Video ID in format id:provider (e.g., video_abc123:openai)

Body

application/json
prompt
string
required

Text prompt describing how to remix the video

Response

Successful response. Returns a new video generation job object. Poll the retrieve endpoint to check completion status.

id
string

Provider-native job ID. To use in path parameters (retrieve/delete/download), combine as {id}:{provider} (e.g., task_abc123:runway)

object
enum<string>

Object type, always "video"

Available options:
video
model
string

Model used for video generation

status
enum<string>

Current lifecycle status of the video generation job:

  • queued: Job is waiting to be processed
  • in_progress: Video is currently being generated
  • completed: Video generation completed successfully
  • failed: Video generation failed
Available options:
queued,
in_progress,
completed,
failed
progress
number<float>

Approximate completion percentage (0-100)

Required range: 0 <= x <= 100
prompt
string

Prompt used to generate the video

remixed_from_video_id
string

Source video ID if this is a remix

seconds
string

Duration of the generated video in seconds as a string (e.g., "4")

size
string

Resolution of the generated video (e.g., "1920x1080")

created_at
integer<int64>

Unix timestamp (seconds) when the job was created

completed_at
integer<int64>

Unix timestamp (seconds) when the job completed

expires_at
integer<int64>

Unix timestamp (seconds) when downloadable assets expire

videos
object[]

Generated video outputs (only present when status is "completed")

error
object
content_filter
object

Information about content that was filtered due to safety policies

extra_fields
object

Additional fields included in responses